Subject: bug#45149: closed (Re: bug#45149: Daemon discovers itself)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Dec 2020 08:50:02 +0000

Your bug report

#45149: Daemon discovers itself

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45149: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45149
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45149: Daemon discovers itself
From: Mathieu Othacehe <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Dec 2020 09:48:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey Ludo,

> We should filter out localhost because I bet it doesn’t have the store
> items I’m looking for.  :-)  The extra lookup also takes time.

Hehe, fixed with 0faef871784f4f88e622dd36b492f020387f7a5e.

Thanks,

Mathieu

Subject: Daemon discovers itself
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Wed, 09 Dec 2020 22:13:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Now that I have ‘guix publish --advertise’ and ‘guix-daemon --discover’
on the same machine (yay!), I noticed that the daemon discovers myself:

--8<---------------cut here---------------start------------->8---
$ guix build coreutils --no-grafts
substitute: updating substitutes from 'http://127.0.0.1:8123'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
--8<---------------cut here---------------end--------------->8---

We should filter out localhost because I bet it doesn’t have the store
items I’m looking for.  :-)  The extra lookup also takes time.

Ludo’.